#ifndef _APP_MENU_H_
#define _APP_MENU_H_

#include "users.h"
#include "trips.h"

// Displays the UOC Car Share main menu with the available operations
char appMenu_mainMenu();

// Displays the User menu with the available operations
char appMenu_userMenu(tUser * user);

// Requests the user to fill the necessary information to register
void appMenu_register();

// Validates the introduced credentials and matches them with the requesting user.
tUser * appMenu_login();

// Displays the list of trips a user has registered to. 
int appMenu_viewMyTrips(tUser * user);

// Displays a list with all the registered trips in the database.
int appMenu_listAllTrips();

// Requests the user to fill the necessary information to publish a new trip.
tTrip * appMenu_publishNewTrip();

// Displays the trip detailed information
void appMenu_displayTrip(tTrip * trip);

#endif